import request from '@/utils/request'

//查询值班列表
export function getListYmd(query) {
  return request({
    url: '/laboratory/XxpDuty/listYmd',
    method: 'get',
    params: query
  })
}

//添加值班人员
export function addXxpDuty(data) {
  return request({
    url: '/laboratory/XxpDuty',
    method: 'post',
    data: data
  })
}

//值班人员详情接口
export function getInfoByDate(query) {
  return request({
    url: '/laboratory/XxpDuty/getInfoByDate',
    method: 'get',
    params: query
  })
}
//删除值班人员
export function delXxpDuty(id) {
  return request({
    url: '/laboratory/XxpDuty/'+id,
    method: 'delete',
  })
}
//获取树状实验室列表接口
export function treeDeptSubSel(query) {
  return request({
    url: '/system/dept/treeDeptSubSel',
    method: 'get',
    params: query
  })
}
//获取实验室可选值班人员列表
export function getUserDutyList(query) {
  return request({
    url: '/system/user/getUserDutyList',
    method: 'get',
    params: query
  })
}


